Package org.jboss.resteasy.plugins.stats

## Class RegistryEntry

- java.lang.Object
- - org.jboss.resteasy.plugins.stats.RegistryEntry

- All Implemented Interfaces:
    `Comparable<RegistryEntry>`

      public class RegistryEntry
      extends Object
      implements Comparable<RegistryEntry>

       <resource uriTemplate="/foo/bar{fff:.*}/x/a">
           <get method="org.blah.MyResource.method()" invocations="5555">
               <produces>application/xml</produces>
               <produces>application/json</produces>
           </get>
           <post method="org.blah.MyResource.post()">
               <produces>application/xml</produces>
           </post>
       </resource>

  Version:
    $Revision: 2 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegistryEntry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(RegistryEntry o)` |
    `SubresourceLocator` | `getLocator()` |
    `List<ResourceMethodEntry>` | `getMethods()` |
    `String` | `getUriTemplate()` |
    `void` | `setLocator​(SubresourceLocator locator)` |
    `void` | `setUriTemplate​(String uriTemplate)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryEntry

          public RegistryEntry()

  - ### Method Detail

    - #### getUriTemplate

          public String getUriTemplate()

    - #### getLocator

          public SubresourceLocator getLocator()

    - #### setLocator

          public void setLocator​(SubresourceLocator locator)

    - #### setUriTemplate

          public void setUriTemplate​(String uriTemplate)

    - #### getMethods

          public List<ResourceMethodEntry> getMethods()

    - #### compareTo

          public int compareTo​(RegistryEntry o)

      Specified by:
        `compareTo` in interface `Comparable<RegistryEntry>`